%def_without debug
%def_with svg
%def_without xprint
%def_with branding
%def_with nspr
%def_with nss
%def_without libxul

%if_with debug
%set_strip_method none
%endif # debug

Summary:        The Mozilla Firefox project is a redesign of Mozilla's browser
Name:           %firefox_name
Version:        %firefox_version
Release:       	%firefox_release
License:        MPL/GPL
Group:          Networking/WWW
URL:            http://www.mozilla.org/projects/firefox/

Packager:	Alexey Gladkov <legion@altlinux.ru>

Source0:	%name-source.tar
Source1:	%name-icons.tar
Source3:	%name-build-scripts.tar
Source7:	%name-searchplugins-addon-1.0.tar
Source9:	%name-0.9-alt-ssl-addon-certs.txt
Source10:	%name.desktop
Source11:	%name-midration.sh
Source12:	fix_headers.sh

Patch4:		firefox-alt-remove-version-pc.patch
Patch5:		firefox-alt-convas-libs.patch
Patch6:		firefox-1.5.0.3-alt-plugins-path.patch
Patch7:		firefox-1.0-alt-url-handler.patch
Patch8:		firefox-alt-prefs-tuning.patch
Patch9:		firefox-alt-extensions-dir.patch
Patch10:	firefox-1.5.0.1-alt-asm-directive.patch
Patch11:	firefox-alt-install-paths-fix.patch
Patch12:	mozilla-embedding-linker-fix.patch
Patch13:	firefox-alt-fix-alternative-progname.patch

Patch16:	firefox-1.5b1-alt-cairo-build-fix.patch
Patch17:	firefox-alt-system-nspr-flags.patch

# https://bugzilla.mozilla.org/show_bug.cgi?id=252033
Patch19:	firefox-1.5.0.6-gtk2+xft-xrender-workaround.patch

Patch20:	firefox-2.0-pango-printing.patch
Patch21:	mozilla-alt-default-x11-path.patch
Patch31:	firefox-nopangoxft.patch
Patch32:	firefox-2.0-alt-allow-x86_64-host-build.patch
Patch33:	firefox3-alt-ssl-manager.patch
Patch34:	firefox-alt-nss-fix.patch

# Debian patches
Patch40:	01_icons.dpatch
Patch41:	01_locale.dpatch
Patch43:	01_system_bz2.dpatch
Patch46:	80_xpidl.dpatch

BuildRequires(pre): rpm-build-firefox

BuildRequires: doxygen gcc-c++ imake libIDL-devel libXext-devel libXt-devel libgtk+2-devel
BuildRequires: libjpeg-devel libnss-devel-static makedepend nss-utils unzip xorg-cf-files zip
BuildRequires: chrpath browser-plugins-npapi-devel alternatives

BuildRequires: autoconf_2.13
%set_autoconf_version 2.13

%{?_with_nspr:BuildRequires: libnspr-devel}
%{?_with_nspr:Requires: libnspr}

%{?_with_nss:BuildRequires: libnss-devel libnss-devel-static}
%{?_with_nss:Requires: libnss}

%{?_with_svg:BuildRequires: cairo-devel}
%{?_with_xprint:Requires: xorg-x11-xprt}

Requires:	gtk+2 >= 2.2.0 url_handler >= 0.2.1-alt2 freetype2 indexhtml browser-plugins-npapi zip
Provides:	webclient
Conflicts:	firefox < 1.5

%description
The Mozilla Firefox project is a redesign of Mozilla's browser component,
written using the XUL user interface language and designed to be
cross-platform.

%package devel
Summary: The Mozilla Firefox development files
Group: Development/Other

PreReq: rpm-build-firefox = %version-%release
Requires: %name = %version-%release
%{?_with_nss:Requires: libnss-devel}
%{?_with_nspr:Requires: libnspr-devel}

%description devel
The Mozilla Firefox development files

%prep
%setup -q -n %name-%version -c 
%setup -q -n %name-%version/mozilla -T -D -a1
%setup -q -n %name-%version/mozilla -T -D -a3

%patch4 -p2
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1 -b .prefs
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch16 -p1

# System NSPR
%patch17 -p1

%patch19 -p0
%patch20 -p1
%patch21 -p1
#patch31 -p1
%patch32 -p2
#patch33 -p1
%patch34 -p1

%patch40 -p1
%patch41 -p1
%patch43 -p1
%patch46 -p1

%if_without nss
# additional CA certificates
cd %_builddir/%name-%version/mozilla/security/nss/lib/ckfw/builtins
cat %SOURCE9 >> certdata.txt
%make generate
cd -
%endif

%build
%add_optflags %optflags_shared
%add_findprov_lib_path %firefox_prefix

%__subst 's|AC_CONFIG_AUX_DIR(\${srcdir}/build/autoconf)|AC_CONFIG_AUX_DIR(build/autoconf)|' configure.in
%__autoconf

# Add fake RPATH
rpath="/$(printf %%s '%firefox_prefix' |tr '[:print:]' '_')"
export LDFLAGS="$LDFLAGS -Wl,-rpath,$rpath"
export LIBIDL_CONFIG=/usr/bin/libIDL-config-2

%configure \
	--includedir=%_includedir \
	--disable-ldap \
	--disable-mailnews \
	--disable-composer \
	--disable-tests \
	--disable-freetype2 \
	--disable-installer \
	--disable-updater \
	--disable-gtktest \
	--disable-elf-dynstr-gc \
	--enable-application=browser \
	--enable-necko-protocols=default \
	--enable-extensions=default \
	--enable-safe-browsing \
	--enable-url-classifier \
	--enable-crypto \
	--enable-xft \
	--enable-default-toolkit=gtk2 \
	--enable-reorder \
	--enable-shared \
	--enable-canvas \
	--enable-optimize="-O2" \
%if_with debug
	--disable-strip \
	--enable-debug \
	--enable-debug-modules \
	--enable-logrefcnt \
	--enable-debugger-info-modules \
	--enable-detect-webshell-leaks \
%else
	--enable-strip \
	--disable-debug \
%endif # debug
%if_with svg
	--enable-svg \
	--enable-svg-renderer=cairo \
%endif # svg
%if_with xprint
	--enable-xprint \
	--disable-postscript \
%else
	--disable-xprint \
%endif # xprint
%if_with branding
	--enable-branding \
	--enable-official-branding \
%endif
%if_with libxul
	--enable-libxul \
%endif # libxul
	\
%if_with nspr
	--with-system-nspr \
%endif # nspr
	\
%if_with nss
	--with-system-nss \
%endif # nss
	\
	--enable-system-cairo \
	--with-system-jpeg \
	--with-system-png \
	--with-system-zlib \
	--with-pthreads \
	#

%make_build

%install
%__mkdir_p \
	%buildroot/%firefox_arch_extensionsdir \
	%buildroot/%firefox_noarch_extensionsdir \
	#

%makeinstall \
    idldir=%buildroot/%firefox_idldir \
    includedir=%buildroot/%firefox_includedir \
    mozappdir=%buildroot/%firefox_prefix \
    #

cp -L \
	dist/sdk/lib/libxpcomglue.a \
	dist/sdk/lib/libxpcomglue_s.a \
	dist/sdk/lib/libembed_base_s.a \
	%buildroot/%firefox_libdir

%SOURCE12 %_includedir %buildroot/%firefox_includedir

# icons
%__install -D -m 644 mozicon48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 mozicon32.png %buildroot/%_niconsdir/%name.png
%__install -D -m 644 mozicon16.png %buildroot/%_miconsdir/%name.png

# install menu file
%__install -D -m 644 %SOURCE10 %buildroot/%_datadir/applications/%name.desktop

%__tar -xC "%buildroot/%firefox_prefix" -f %SOURCE7

%__install -m 755 %SOURCE11 %buildroot/%firefox_initd/S00firefox-midration.sh

# update plugins
%__subst 's,@PLUGIN_PATH@,%browser_plugins_path,' %buildroot/%firefox_exec

# Add alternatives
mkdir -p %buildroot%_altdir 
printf '%_bindir/xbrowser\t%_bindir/firefox\t100\n' >%buildroot%_altdir/%name

# Add real RPATH
rpath="/$(printf %%s '%firefox_prefix' |tr '[:print:]' '_')"
find "%buildroot/%firefox_prefix" -type f | 
while read f; do
  %__file "$f" | grep -qs ELF || continue
  if chrpath -l "$f" | fgrep -qs "RPATH=$rpath"; then
    chrpath -r "%firefox_prefix" "$f"
  fi
done

%if_without nspr
# We must rename some file to remove comflicts between Mozilla, Firefox and Thunderbird packages.
find %buildroot/%_datadir/aclocal -type f -execdir %__mv -f \{\} %name-\{\} \;
%endif

# make devel source packege to build extensions
%__mkdir_p %buildroot/%firefox_usrsrc
find %buildroot/%firefox_prefix \
     %buildroot/%firefox_includedir \
     %buildroot/%firefox_idldir \
-follow -xtype f |sed -e 's|^%buildroot||' > ./%name-content-index

%__tar -jcf %buildroot/%firefox_usrsrc/sources.tar.bz2 \
    ./makemake.sh ./build_dist.sh find_install.sh     \
    ./%name-content-index                             \
    ./build                                           \
    ./config                                          \
    ./browser                                         \
    ./mozilla-config.h

%pre
if [ -L "%_libdir/%name" ]; then
	d="$(readlink -ev "%_libdir/%name" 2>/dev/null)" &&
		rm -rf -- "%_libdir/%name" "$d" ||:
fi
if [ -L "%_datadir/%name" ]; then
	d="$(readlink -ev "%_datadir/%name" 2>/dev/null)" &&
		rm -rf -- "%_datadir/%name" "$d" ||:
fi

%preun
if [ "$1" = "0" ]; then
    [ ! -d "%firefox_noarch_extensionsdir" ] || %__rm -rf "%firefox_noarch_extensionsdir"
    [ ! -d "%firefox_arch_extensionsdir" ] || %__rm -rf "%firefox_arch_extensionsdir"
    [ ! -d "%firefox_componentsdir" ] || %__rm -rf "%firefox_componentsdir"
    [ ! -d "%firefox_updatesdir" ] || %__rm -rf "%firefox_updatesdir"
fi

%post 
%update_menus
%register_alternatives %name

%postun
%clean_menus
%unregister_alternatives %name

%files 
%_altdir/%name
%firefox_exec
%firefox_libdir
%firefox_datadir
%defattr(0644,root,root,0755)
%_datadir/applications/%name.desktop
%_niconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png
%doc LEGAL LICENSE
# To other package
%exclude %firefox_libdir/regxpcom
%exclude %firefox_libdir/xpcshell
%exclude %firefox_libdir/xpicleanup
%exclude %firefox_libdir/xpidl
%exclude %firefox_libdir/xpt_dump
%exclude %firefox_libdir/xpt_link
%exclude %firefox_libdir/libembed_base_s.a
%exclude %firefox_libdir/libxpcomglue.a
%exclude %firefox_libdir/libxpcomglue_s.a

%files devel
%_bindir/%name-config
%firefox_libdir/regxpcom
%firefox_libdir/xpcshell
%firefox_libdir/xpicleanup
%firefox_libdir/xpidl
%firefox_libdir/xpt_dump
%firefox_libdir/xpt_link
%firefox_libdir/libembed_base_s.a
%firefox_libdir/libxpcomglue.a
%firefox_libdir/libxpcomglue_s.a
%firefox_includedir
%firefox_idldir
%_libdir/pkgconfig/*
%firefox_usrsrc

%if_with nss
%exclude %_libdir/pkgconfig/%name-nss.pc
%endif

%if_with nspr
%exclude %_libdir/pkgconfig/%name-nspr.pc
%else
%_datadir/aclocal/*
%endif

%changelog
* Fri Nov 14 2008 Michael Shigorin <mike@altlinux.org> 2.0.0.18-alt0.M40.1
- New bugfix version 2.0.0.18 built for M40
- Fixed:
  + MFSA 2008-58 Parsing error in E4X default namespace
  + MFSA 2008-57 -moz-binding property bypasses security checks on codebase principals
  + MFSA 2008-56 nsXMLHttpRequest::NotifyEventListeners() same-origin violation
  + MFSA 2008-55 Crash and remote code execution in nsFrameManager
  + MFSA 2008-54 Buffer overflow in http-index-format parser
  + MFSA 2008-53 XSS and JavaScript privilege escalation via session restore
  + MFSA 2008-52 Crashes with evidence of memory corruption (rv:1.9.0.4/1.8.1.18)
  + MFSA 2008-50 Crash and remote code execution via __proto__ tampering
  + MFSA 2008-49 Arbitrary code execution via Flash Player dynamic module unloading
  + MFSA 2008-48 Image stealing via canvas and HTTP redirect
  + MFSA 2008-47 Information stealing via local shortcut files

* Thu Oct 02 2008 Michael Shigorin <mike@altlinux.org> 2.0.0.17-alt0.M40.1
- New bugfix version 2.0.0.17 built for M40
- Fixed:
  + MFSA 2008-45 XBM image uninitialized memory reading
  + MFSA 2008-44 resource: traversal vulnerabilities
  + MFSA 2008-43 BOM characters stripped from JavaScript before execution
  + MFSA 2008-42 Crashes with evidence of memory corruption (rv:1.9.0.2/1.8.1.17)
  + MFSA 2008-41 Privilege escalation via XPCnativeWrapper pollution
  + MFSA 2008-40 Forced mouse drag
  + MFSA 2008-39 Privilege escalation using feed preview page and XSS flaw
  + MFSA 2008-38 nsXMLDocument::OnChannelRedirect() same-origin violation
  + MFSA 2008-37 UTF-8 URL stack buffer overflow

* Fri Aug 08 2008 Michael Shigorin <mike@altlinux.org> 2.0.0.16-alt0.M40.1
- New bugfix version 2.0.0.16
- Fixed:
 + MFSA 2008-35 Command-line URLs launch multiple tabs when Firefox not running
 + MFSA 2008-34 Remote code execution by overflowing CSS reference counter

* Wed Jul 02 2008 Michael Shigorin <mike@altlinux.org> 2.0.0.15-alt0.M40.1
- built for M40

* Wed Jul 02 2008 Michael Shigorin <mike@altlinux.org> 2.0.0.15-alt1
- New bugfix version 2.0.0.15
- Fixed:
    + MFSA 2008-33 Crash and remote code execution in block reflow
    + MFSA 2008-32 Remote site run as local file via Windows URL shortcut
    + MFSA 2008-31 Peer-trusted certs can use alt names to spoof
    + MFSA 2008-30 File location URL in directory listings not escaped properly
    + MFSA 2008-29 Faulty .properties file results in uninitialized memory being used
    + MFSA 2008-28 Arbitrary socket connections with Java LiveConnect on Mac OS X
    + MFSA 2008-27 Arbitrary file upload via originalTarget and DOM Range
    + MFSA 2008-25 Arbitrary code execution in mozIJSSubScriptLoader.loadSubScript()
    + MFSA 2008-24 Chrome script loading from fastload file
    + MFSA 2008-23 Signed JAR tampering
    + MFSA 2008-22 XSS through JavaScript same-origin violation
    + MFSA 2008-21 Crashes with evidence of memory corruption (rv:1.8.1.15)

* Wed May 07 2008 Michael Shigorin <mike@altlinux.org> 2.0.0.14-alt0.M40.1
- built for M40

* Wed May 07 2008 Michael Shigorin <mike@altlinux.org> 2.0.0.14-alt1
- New bugfix version 2.0.0.14
- Fixed:
    + MFSA 2008-20 Crash in JavaScript garbage collector

* Sat Mar 29 2008 Alexey Gladkov <legion@altlinux.ru> 2.0.0.13-alt1
- New bugfix version 2.0.0.13
- Fixed:
    + MFSA 2008-19 XUL popup spoofing variant (cross-tab popups)
    + MFSA 2008-18 Java socket connection to any local port via LiveConnect
    + MFSA 2008-17 Privacy issue with SSL Client Authentication
    + MFSA 2008-16 HTTP Referrer spoofing with malformed URLs
    + MFSA 2008-15 Crashes with evidence of memory corruption (rv:1.8.1.13)
    + MFSA 2008-14 JavaScript privilege escalation and arbitrary code execution

* Thu Feb 21 2008 Alexey Gladkov <legion@altlinux.ru> 2.0.0.12-alt1
- New bugfix version 2.0.0.12
- Fixed:
    + MFSA 2008-11 Web forgery overwrite with div overlay
    + MFSA 2008-10 URL token stealing via stylesheet redirect
    + MFSA 2008-09 Mishandling of locally-saved plain text files
    + MFSA 2008-08 File action dialog tampering
    + MFSA 2008-07 Possible information disclosure in BMP decoder
    + MFSA 2008-06 Web browsing history and forward navigation stealing
    + MFSA 2008-05 Directory traversal via chrome: URI
    + MFSA 2008-04 Stored password corruption
    + MFSA 2008-03 Privilege escalation, XSS, Remote Code Execution
    + MFSA 2008-02 Multiple file input focus stealing vulnerabilities
    + MFSA 2008-01 Crashes with evidence of memory corruption (rv:1.8.1.12)

* Fri Dec 07 2007 Alexey Gladkov <legion@altlinux.ru> 2.0.0.11-alt1
- New bugfix version 2.0.0.11
- Add SDK libs.
- Firefox 2.0.0.11 fixed a bug introduced by the 2.0.0.10 update
  in the <canvas> feature that affected some web pages and extensions. 
- Fixed:
    + MFSA 2007-39 Referer-spoofing via window.location race condition
    + MFSA 2007-38 Memory corruption vulnerabilities (rv:1.8.1.10)
    + MFSA 2007-37 jar: URI scheme XSS hazard

* Thu Nov 08 2007 Alexey Gladkov <legion@altlinux.ru> 2.0.0.9-alt1
- New bugfix version 2.0.0.9
-Fixed:
    + Bug 400406 - Firefox will ignore the 'clear' CSS property when
      used beneath a box that is using the 'float' property.
    + Bug 396695 - Add-ons are disabled after updating.
    + Bug 400421 - Removing a single area element from an image map
      will cause the entire map to disappear.

* Fri Oct 19 2007 Alexey Gladkov <legion@altlinux.ru> 2.0.0.8-alt1
- New bugfix version 2.0.0.8
-Fixed:
    + MFSA 2007-36 URIs with invalid %-encoding mishandled by Windows
    + MFSA 2007-35 XPCNativeWrapper pollution using Script object
    + MFSA 2007-34 Possible file stealing through sftp protocol
    + MFSA 2007-33 XUL pages can hide the window titlebar
    + MFSA 2007-32 File input focus stealing vulnerability
    + MFSA 2007-31 Browser digest authentication request splitting
    + MFSA 2007-30 onUnload Tailgating
    + MFSA 2007-29 Crashes with evidence of memory corruption (rv:1.8.1.8)

* Sun Sep 23 2007 Alexey Gladkov <legion@altlinux.ru> 2.0.0.7-alt1
- New bugfix version 2.0.0.7
-Fixed:
    + MFSA 2007-28 Code execution via QuickTime Media-link files

* Wed Aug 01 2007 Alexey Gladkov <legion@altlinux.ru> 2.0.0.6-alt1
- New bugfix version 2.0.0.6
- Fixed:
    + MFSA 2007-27 Unescaped URIs passed to external programs
    + MFSA 2007-26 Privilege escalation through chrome-loaded about:blank windows
        
* Fri Jul 27 2007 Alexey Gladkov <legion@altlinux.ru> 2.0.0.5-alt2
- Fix desktop file.
- Add search plugins: wikipedia (en, ru).
- Update search plugins: yandex.

* Wed Jul 18 2007 Alexey Gladkov <legion@altlinux.ru> 2.0.0.5-alt1
- New bugfix version 2.0.0.5
- Fixed:
    + MFSA 2007-25 XPCNativeWrapper pollution
    + MFSA 2007-24 Unauthorized access to wyciwyg:// documents
    + MFSA 2007-23 Remote code execution by launching Firefox from Internet Explorer
    + MFSA 2007-22 File type confusion due to %%00 in name
    + MFSA 2007-21 Privilege escallation using an event handler attached to an element not in the document
    + MFSA 2007-20 Frame spoofing while window is loading
    + MFSA 2007-19 XSS using addEventListener and setTimeout
    + MFSA 2007-18 Crashes with evidence of memory corruption

* Tue Jun 19 2007 Alexey Gladkov <legion@altlinux.ru> 2.0.0.4-alt1
- New bugfix version 2.0.0.4
- Add alternatives.
- Add intl.locale.matchOS by default (patch41: 01_locale.dpatch).
- Fix normal icons (bug#11756).
- Fix desktop file (bug#10558)
- Fix extension compatibility check.
- Fixed:
    + MFSA 2007-17 XUL Popup Spoofing
    + MFSA 2007-16 XSS using addEventListener
    + MFSA 2007-14 Path Abuse in Cookies
    + MFSA 2007-13 Persistent Autocomplete Denial of Service
    + MFSA 2007-12 Crashes with evidence of memory corruption (rv:1.8.0.12/1.8.1.4)
    + MFSA 2007-11 FTP PASV port-scanning

* Sun Feb 25 2007 Alexey Gladkov <legion@altlinux.ru> 2.0.0.2-alt1
- New bugfix version 2.0.0.2
- Remove version from requires in *.pc.
- Fixed:
    + MFSA 2007-07 Embedded nulls in location.hostname confuse same-domain checks
    + MFSA 2007-06 Mozilla Network Security Services (NSS) SSLv2 buffer overflow
    + MFSA 2007-05 XSS and local file access by opening blocked popups
    + MFSA 2007-04 Spoofing using custom cursor and CSS3 hotspot
    + MFSA 2007-03 Information disclosure through cache collisions
    + MFSA 2007-02 Improvements to help protect against Cross-Site Scripting attacks
    + MFSA 2007-01 Crashes with evidence of memory corruption (rv:1.8.0.10/1.8.1.2)

* Sun Jan 28 2007 Alexey Gladkov <legion@altlinux.ru> 2.0.0.1-alt1
- New minor version 2.0.0.1
- Fixed:
    + MFSA 2006-76 XSS using outer window's Function object
    + MFSA 2006-75 RSS Feed-preview referrer leak
    + MFSA 2006-73 Mozilla SVG Processing Remote Code Execution
    + MFSA 2006-72 XSS by setting img.src to javascript: URI
    + MFSA 2006-71 LiveConnect crash finalizing JS objects
    + MFSA 2006-70 Privilege escalation using watch point
    + MFSA 2006-69 CSS cursor image buffer overflow (Windows only)
    + MFSA 2006-68 Crashes with evidence of memory corruption (rv:1.8.0.9/1.8.1.1)

* Thu Nov 23 2006 Alexey Gladkov <legion@altlinux.ru> 2.0-alt2
- Add %%pre script.
- Remove version specific paths.

* Sat Oct 28 2006 Alexey Gladkov <legion@altlinux.ru> 2.0-alt1
- New major version 2.0 .
- Don't build libxul.
- Add support for printing via Pango.
- Change printer paper size at A4.
- Check compatibility disabled.
- Patch disabling OS_TEST autoguessing for %%ix86 builds on x86_64 host.

* Fri Sep 15 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.0.7-alt1
- New version 1.5.0.7 .
- Fixed:
    + MFSA 2006-64 Crashes with evidence of memory corruption (rv:1.8.0.7)
    + MFSA 2006-62 Popup-blocker cross-site scripting (XSS)
    + MFSA 2006-61 Frame spoofing using document.open()
    + MFSA 2006-60 RSA Signature Forgery
    + MFSA 2006-59 Concurrency-related vulnerability
    + MFSA 2006-58 Auto-Update compromise through DNS and SSL spoofing
    + MFSA 2006-57 JavaScript Regular Expression Heap Corruption

* Wed Aug 30 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.0.6-alt4
- Add libgtkembedmoz.so, firefox-gtkembedmoz.pc .
- Update BuildRequires.

* Wed Aug 16 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.0.6-alt3
- bugfix build.
- Patch to enable intl.locale.matchOS was removed.
- Added default download directory.

* Wed Aug 09 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.0.6-alt2
- bugfix build.
- Added patch to handle #9863 (history #4352).

* Sat Aug 05 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.0.6-alt1
- New version 1.5.0.6 . 
- Fixed:
    + Fixed an issue with playing Windows Media content
    + MFSA 2006-56  chrome: scheme loading remote content
    + MFSA 2006-55 Crashes with evidence of memory corruption (rv:1.8.0.5)
    + MFSA 2006-54 XSS with XPCNativeWrapper(window).Function(...)
    + MFSA 2006-53 UniversalBrowserRead privilege escalation
    + MFSA 2006-52 PAC privilege escalation using Function.prototype.call
    + MFSA 2006-51 Privilege escalation using named-functions and redefined "new Object()"
    + MFSA 2006-50 JavaScript engine vulnerabilities
    + MFSA 2006-48 JavaScript new Function race condition
    + MFSA 2006-47 Native DOM methods can be hijacked across domains
    + MFSA 2006-46 Memory corruption with simultaneous events
    + MFSA 2006-45 Javascript navigator Object Vulnerability
    + MFSA 2006-44 Code execution through deleted frame reference

* Thu Jun 08 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.0.4-alt1
- New version.
- Fixed:
    + MFSA 2006-43 Privilege escalation using addSelectionListener
    + MFSA 2006-42 Web site XSS using BOM on UTF-8 pages
    + MFSA 2006-41 File stealing by changing input type (variant)
    + MFSA 2006-39 "View Image" local resource linking (Windows)
    + MFSA 2006-38 Buffer overflow in crypto.signText()
    + MFSA 2006-37 Remote compromise via content-defined setter on object prototypes
    + MFSA 2006-36 PLUGINSPAGE privileged JavaScript execution 2
    + MFSA 2006-35 Privilege escalation through XUL persist
    + MFSA 2006-34 XSS viewing javascript: frames or images from context menu
    + MFSA 2006-33 HTTP response smuggling
    + MFSA 2006-32 Fixes for crashes with potential memory corruption
    + MFSA 2006-31 EvalInSandbox escape (Proxy Autoconfig, Greasemonkey)

* Fri May 12 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.0.3-alt1
- New version.
- Build libxul library.
- Fixed:
    + MFSA 2006-30 Deleted object reference when designMode="on".

* Wed Mar 15 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.0.1-alt2
- bugfix build.
- include fix
- plugins directory fix;

* Mon Feb 13 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.0.1-alt1
- New version 1.5.0.1
- Buildrequires updated for xorg-7.0 
- run-firefox script bugfix:
  * usage update
  * plugins search path (x86_64)
  * unparseable commands handling
- bugfix: #7334, #7682, #8757, #8784, #9017

* Sun Dec 04 2005 Alexey Gladkov <legion@altlinux.ru> 1.5-alt1
- New version 1.5 .
- Spec cleanup.
- Build with external rpm-build-firefox .
- Build with system NSS and NSPR.
- Unused libraries removed.
- Rpm mascros bugfix.
  * fix for new rpm.
  * change extension installation sheme (again).
- Default preference tunning.
- Startup script rewritten. Now it is single script.
  * command line shortcut added: altfaq:NUM .
- SVG support enabled.
- directory /usr/share/firefox-@version@/extensions was added to extensions search path .
  * this location is controled by the option extensions.dir.extensions .
- Bug: #7682, #7801, #7856, #7949 fixed.

* Tue Aug 16 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.6-alt4
- major bugfix.
- build with official branding.
- x86_64 compatibility addon (patch20, patch21).

* Sun Aug 07 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.6-alt3
- release version.
- firsttime script added.
- SVG support disabled.
- Patch #2 bugfix (bug: #7682)

* Sun Jul 24 2005 LAKostis <lakostis at altlinux.ru> 1.0.6-alt2.cvs
- fix -nox patch.
- add gssapi detection and build fixes from mhz@.

* Tue Jul 19 2005 LAKostis <lakostis at altlinux.ru> 1.0.6-alt1.cvs
- new version from aviary branch fixing various bugs:
  + MFSA2005-54
  + Restore API compatibility for extensions and web applications 
    that did not work in Firefox 1.0.5.
  
* Mon Jul 11 2005 LAKostis <lakostis at altlinux.ru> 1.0.5-alt2.cvs
- new version from aviary branch;

* Wed Jun 22 2005 LAKostis <lakostis at altlinux.ru> 1.0.5-alt1.cvs
- new version from aviary branch fixing various security bugs;
- fix: #4846, #5101, #7126 (legion).
- if_{with,without} debug - added (legion).
- keyword 'altbug:' added, patch2 updated (legion).
- postin/postun-scripts scripts bugfixes (legion).
- triggers added for trash cleanup (legion).

* Mon Jun 20 2005 LAKostis <lakostis at altlinux.ru> 1.0.5-alt0.cvs
- new version from aviary branch;
- fix #6595;
- add switches for svg/xprint easy builds.
- update alt-prefs-tuning.patch (disable annoying default browser dialog).

* Sun Jun 12 2005 LAKostis <lakostis at altlinux.ru> 1.0.4-alt1
- new version;
- SA15601 security fix;
- BuildRequires cleanup (remove xorg-x11-libs-static).

* Thu Apr 21 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.3-alt1
- new version;
- requires fix;

* Wed Apr 13 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.2-alt1
- new version;
- RPATH fix;
- NoX patch was rewritten;

* Sun Mar 06 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.1-alt2
- rpm macros was updated;

* Fri Feb 25 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.1-alt1
- new version;
- patch9 was added (mozilla Bug #123315);
- patch10, patch11 was added (#6151);

* Mon Feb 14 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt7
- plugins path bugfix;
- svg support added;
- x86_64 compatibility added (thx mouse@);

* Tue Feb 01 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt6
- update patch firefox-1.0-20050201-alt-nox.patch 
  * uninstall-global-theme command-line option was added;
  * update-register command-line option was added;
- firefox-1.0-alt-rpm-scripts.tar.bz2 bugfix;

* Thu Jan 27 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt5
- disable svg support becouse svg layout lead to segfault 
  when mozilla compile with gcc3.4 .
- search plugins was moved into the standalone rpm package.

* Wed Jan 19 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt4
- Rebuilt with libstdc++.so.6.

* Wed Jan 05 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt3
- new version;
- browser-plugins-npapi support added;
- new icons default icons(thx shrek@);
- option uninstall-global-extension was fixed;

* Wed Nov 03 2004 Alexey Gladkov <legion@altlinux.ru> 1.0-alt2.rc1
- extension sheme changes;
- postin/preun scripts chenges;

* Mon Oct 18 2004 Alexey Gladkov <legion@altlinux.ru> 1.0-alt2.PR
- new default extensions added;
- protocol 'mailto' external handler added; 
- firefox.macro changed;
- postun script changed;
- icons changed;

* Thu Sep 30 2004 Alexey Gladkov <legion@altlinux.ru> 1.0-alt1.PR
- New version 1.0PR;
- New extension scheme;
- Add:
    * New option 'run-without-x' added (mouse, legion);
    * SVG support added;
    * Certificate (ALT Linux CA Root) added;
    * ALT Linux BTS search plugin added;
    * RPATH added to all binary files;
- bug #4284 fixed;

* Fri May 28 2004 Alexey Gladkov <legion@altlinux.ru> 0.8-alt4
- Move back some changes at alt3 build.
- Bug #4157 fixed.

* Fri Apr 30 2004 Alexey Gladkov <legion@altlinux.ru> 0.8-alt3.1
- viewsource protocol was added.

* Thu Apr 29 2004 Alexey Gladkov <legion@altlinux.ru> 0.8-alt3
- Minimize buildin extensions;
- Disable debug output;
- Disable some options:
  + disable JavaScript debug library;
  + disable LDAP support;
  + disable logging facilities;
- Necko protocols cleanup;

* Tue Feb 24 2004 Alexey Gladkov <legion@altlinux.ru> 0.8-alt2
- Splash screen added (thx sadist@);
- Search plugins added;
- Remove devel package Conflicts;
- Change rebuild-database.sh script. Script must be run only as root;
- Change locale hack.

* Wed Feb 11 2004 Alexey Gladkov <legion@altlinux.ru> 0.8-alt1
- Mozilla Firebird becomes Mozilla Firefox. Mozilla's next 
  generation browser has changed names (again);
- New version;

* Sun Jan 11 2004 Alexey Gladkov <legion@altlinux.ru> 0.7-alt2
- Spec changes.
- run-mozilla.sh script patch.

* Tue Dec 30 2003 Alexey Gladkov <legion@altlinux.ru> 0.7-alt1
- first build for ALT Linux.
- rpm macro created.
- new scheme loading extensions added (thx force@)
